#!/bin/bash

function usage {
    echo $"Usage: $0 {all, ComputeNodes, LoginNodes, ManagementNodes, NFSNodes, sql}" INVENTORY_FILE KEY
    exit 1
}

function run_them () 
{
    #limit='--limit '"$1"
    #if [ "$1" = "all" ]
    #then
    #  limit="all"
    #fi
    for filename in ./tests/$1/*.sh; do   # this is not sorted yet
        [ -e "$filename" ] || continue
        #/bin/bash -x $filename # local execution. nice for dev
        ansible -i $2 --key-file $3 -m script -a "$filename" $1
    done
    for filename in ./tests/$1/*.yml; do   # this is not sorted yet
        [ -e "$filename" ] || continue
        ansible-playbook -i $2 --key-file $3 $filename # I am assuming the playbook cares about visibility here. might have to change later
    done
}

# I think I am just checking the if $1 is one of the listes strings (see usage) not proud of this at all but works
case "$1" in
        all)
        ;;
        ComputeNodes)
        ;;
        ManagementNodes)
        ;;
        NFSNodes)
        ;;
        SQLNodes)
        ;;
        LoginNodes)
        ;;
        *)
        usage
esac

run_them $1 $2 $3